#!/bin/sh
#
#	HotWire install script for LINUX (Caldera)
#
#
REV=`tput smso`
NRM=`tput rmso`
CLS=`tput clear`

ansr=null
export ansr

XDIR=

stty intr \^C erase \^H

if [ -d /usr/X11R6/lib/X11/app-defaults ] ; then
	XDIR=/usr/X11R6/lib/X11/app-defaults
elif [ -d /usr/X11R5/lib/X11/app-defaults ] ; then
	XDIR=/usr/X11R5/lib/X11/app-defaults
elif [ -d /usr/X11/lib/X11/app-defaults ] ; then
	XDIR=/usr/X11/lib/X11/app-defaults
fi

show()
{
	echo -e "$*"
}

prompt()
{
	ansr=null
	while [ "$ansr" = "null" ] 
	do
		show $1
		read ansr
	done
}

greeting()
{
	clear
    cat <<EOT

                     *** HotWire EasyFAX Installation ***

       After running the installation script, make sure that you're in 
       an "xterm" window and run "HotWire" as the superuser for the first
       time to configure your HotWire EasyFAX program.

       Press <RETURN> to continue or CTRL-C to quit!

EOT
	read ansr

}

mk_pkg()
{
	ff=`grep "^$LOGNAME" /etc/passwd | cut -d: -f5`
	pn="${HW_HOME}/send/pkg/00000"
	echo "#  HotWire Fax Registration" > $pn
	echo "Pkg: 00000" >> $pn
	echo "Descrip: HotWire EasyFAX Software Registration" >> $pn
	echo "From: ff" >> $pn
	echo "To: Unisource Systems, Inc." >> $pn
	echo "Cover: Register.ps" >> $pn
	echo "Tel: 1-407-834-8013" >> $pn
	echo "Subj: `uname -a`" >> $pn
	echo "Date: `date`" >> $pn
	echo "Merge: true" >> $pn
	echo "Del: true" >> $pn
	echo "Print: false" >> $pn
	echo "Fine: true" >> $pn
	echo "Mon: true" >> $pn
	echo -e "FaxBody: \n" >> $pn
	cat ${HW_HOME}/.reg >> $pn
	echo -e "\n### END REGISTRATION ###" >> $pn
}

get_registration()
{
	cool=no
	cat <<EOT
**
**  Please enter this registration information below, even if you're 
**  just running this program as an eval.  You get a discount at the
**  time of purchase if the below information is complete and we have
**  it on file.  You can find the "Serial number" on the diskette/CDROM
**  that came with your program.  Enter "eval" if you don't have a
**  a serial number.
**
EOT

	while [ $cool = no ] 
	do
		prompt "\nSerial number [eval]: \c"
		serial="${ansr:-eval}"

		prompt "\nName...........: \c"
		name="${ansr:-$LOGNAME}"
		
		prompt "Organization...: \c"
		org="${ansr}"

		prompt "Email Address..: \c"
		email="${ansr}"

		prompt "Telephone......: \c"
		tel="${ansr}"

		prompt "Fax number.....: \c"
		fax="${ansr}"

		prompt "Street.........: \c"
		street="${ansr}"
	
		prompt "City...........: \c"
		city="${ansr}"

		prompt "State/Province.: \c"
		state="${ansr}"

		prompt "Zip/Postal code: \c"
		pzip="${ansr}"

		prompt "Country...[USA]: \c"
		country="${ansr:-USA}"

		show "\n"
		show "\t$name\n\t$org\n\t$email\n\t$tel\n\t$fax\n\t$street\n\t$city"
		show "\t$state\n\t$pzip\n\t$country"
		show "\nIs the above information correct?: \c"
		read ansr
		if [ z$ansr = zy ] ; then
			cool=yes
		fi
	done
#
#	Create the registration file
#
	echo -e "        Name: $name" > ${HW_HOME}/.reg
	echo -e "         Org: $org" >> ${HW_HOME}/.reg
	echo -e "       Email: $email" >> ${HW_HOME}/.reg
	echo -e "         Tel: $tel" >> ${HW_HOME}/.reg
	echo -e "         Fax: $fax" >> ${HW_HOME}/.reg
	echo -e "      Street: $street" >> ${HW_HOME}/.reg
	echo -e "        City: $city" >> ${HW_HOME}/.reg
	echo -e "       State: $state" >> ${HW_HOME}/.reg
	echo -e "        Pzip: $pzip" >> ${HW_HOME}/.reg
	echo -e "     Country: $country" >> ${HW_HOME}/.reg
	echo -e "     Serial#: $serial" >> ${HW_HOME}/.reg
	echo -e "  Activ. Key: #########" >> ${HW_HOME}/.reg
#
#	Register via email AND fax 
#
	mk_pkg
	echo -e "HotWire Fax Registration:\n" | cat - ${HW_HOME}/.reg | \
	mail support@unisrc.com 

}
	

show_attrs()
{
	clear

	yg="\033[1;37;42m"
	rw="\033[31;47m"
	bc="\033[30;46m"
	wm="\033[37;45m"
	wb="\033[37;40m"
	n="\033[100;40;0m"

	echo -e "\n\n"
	echo -e \
"           ${wb}******************************************************$n"
	echo -e \
"           ${yg}     Congratulations, and thank you for purchasing    $n"
	echo -e \
"           ${rw}                   HotWire EasyFAX                    $n"
	echo -e \
"           ${bc}              from Unisource Systems, Inc.            $n"
	echo -e \
"           ${wm}    (c) Copyright 1994-1997 All rights reserved       $n"
	echo -e \
"           ${wb}******************************************************$n"
}

#
#	Greeting
# Doesn't work on LINUX shells.........
#
	greeting
	show_attrs 
#
#	Make sure that we're in the right directory.........
#
	if [ ! -d send ] ; then
		echo -e "\nERROR:
Wrong directory - you *MUST* be in the HotWire EasyFAX $HOME directory
"
		exit 1
	fi
#
#
	OS=linux
	if [ ! -w /etc/passwd ] ; then
		echo -e  "\007** ERROR: MUST be root to run this script! "
		exit 1
	fi
#
#
#
	CWD=`pwd`
	echo $CWD > /etc/HotWire
	HW_HOME=`cat /etc/HotWire`
	export HW_HOME
#
#	Get registration information
#
	get_registration

#
#	Before doing anything at all, decompress all the files....
#
	show "\n** Decompressing distribution files.........."
#	find ${HW_HOME}/fonts -type f -name "*.Z" -print | xargs uncompress 2>&-
	${FBHOME}/llist 2>&-
#
	echo hw:23:off:$HW_HOME/bin/Faxxy -f device.fax >> /etc/inittab
#
#	Install the crontab entry
#
	cat ${HW_HOME}/crontab.lnx >> /etc/crontab

#
#	Fix permissions on help subdir
#
	chmod a=rx ${HW_HOME}/help

#
#	Make sure command pipe is safe
#
	rm -f ${HW_HOME}/_hwpipe 2>&-
	mknod ${HW_HOME}/_hwpipe p

#
#	Now COPY the HotWire script to /usr/bin
#	in case it gets trashed.
#
	cp ${HW_HOME}/HotWire /bin/HotWire

#
#	Set default port for the fax modem
#
	if [ -c /dev/modem ] ; then
		(
		ed $HW_HOME/config <<EOT
1
/PortName
.d
i
PortName modem
.
w
q
EOT
		) 2>&1 > /dev/null
	fi
#
#	Check for presence of shared libes
#
	if [ ! -f /usr/X11R6/lib/libXpm.so.4  -a -f $HW_HOME/libXpm.so.4 ] ; then
		mv $HW_HOME/libXpm.so.4 /usr/X11R6/lib/libXpm.so.4 2>&-
	else
		rm $HW_HOME/libXpm.so.4 2>&-
	fi

#
#	Send mail to root congratulating purchase and reminding
#	to fill out the registration card.
#
	mail root 2>/dev/null > /dev/null  <<EOT
                          ***  HotWire EasyFAX ***
     Please fill out the registration card enclosed in the package and 
   mail it to Unisource Systems Inc. in order to be eligible for support.
                Alternatively, you may FAX it to 407-834-8013.
EOT
#
#	Now the GUI files....
#
	cp $HW_HOME/HotWire.dflts $XDIR/HotWire
	if [ -d /root ] ; then
		cp $HW_HOME/HotWire.dflts /root/HotWire
	fi
	mv $HW_HOME/HotWire.dflts $HW_HOME/HotWire
	chmod a=r ${HW_HOME}/HotWire
	ln -s /bin/HotWire /usr/bin/HotWire 2>&-
#
#	Now double check permissions
#
	chown root $HW_HOME/bin/*
	chmod +s $HW_HOME/bin/Fax* $HW_HOME/bin/hwspool
#
#	Make this executable so that the rest of the work can see it
#
	ln -s $HW_HOME/bin/hwdispatch.pl /usr/bin/hwdispatch.pl

	clear
	show "\007"
	cat <<EOT


        *********************************************************************
        **                                                                 **
        ******    Now would be a good time to register your product    ******
        **                                                                 **
        *********************************************************************

        To run the HotWire EasyFAX program you can simply type:  HotWire
        at the command line.  Remember! - You *MUST* run as superuser
        the first time, and it *MUST* be from an "xterm" window!

        REMEBER!  Fax reception is NOT enable by default.  After config-
        uring your modems etc. you must choose Admin->Listener->Enable
        to have incoming faxes received.

EOT
#
#	end
#
exit 0

